/*!
 * Copyright (c) Microsoft. All rights reserved.
 * Licensed under the MIT license. See LICENSE file in the project.
 */ import { columnType, DataType } from '@essex/arquero';
import { useMemo } from 'react';
export function useColumnType(table, column) {
    return useMemo(()=>{
        if (!table || !column) {
            return DataType.Unknown;
        }
        return columnType(table, column);
    }, [
        table,
        column
    ]);
}
